--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Encodes the given String as Ascii85.
- !ruby/struct:SM::Flow::P 
  body: "If <tt>wrap_lines</tt> evaluates to <tt>false</tt>, the output will be returned as a single long line. Otherwise #encode formats the output into lines of length <tt>wrap_lines</tt> (minimum is 2)."
- !ruby/struct:SM::Flow::VERB 
  body: "    Ascii85::encode(&quot;Ruby&quot;)\n    =&gt; &lt;~;KZGo~&gt;\n\n    Ascii85::encode(&quot;Supercalifragilisticexpialidocious&quot;, 15)\n    =&gt; &lt;~;g!%jEarNoBkD\n       BoB5)0rF*),+AU&amp;\n       0.@;KXgDe!L&quot;F`R\n       ~&gt;\n\n    Ascii85::encode(&quot;Supercalifragilisticexpialidocious&quot;, false)\n    =&gt; &lt;~;g!%jEarNoBkDBoB5)0rF*),+AU&amp;0.@;KXgDe!L&quot;F`R~&gt;\n"
full_name: Ascii85::encode
is_singleton: true
name: encode
params: (str, wrap_lines = 80)
visibility: public
